anu95

проблема с пхп файлами. они не выводятся, а при такой ссылке просит скачать

13 сообщений в этой теме

проблема с пхп файлами. они не выводятся, а при такой ссылке просит скачать

 

в убунту

почему?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Потому что пхп не стоит или на серваке не указан

application/x-httpd-php

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Установка apache, php, mysql, трех китов веб-разработки, претерпели изменения, что вызвало массу вопросов по исправлению ошибок при обновлении с более старых версий Ubuntu Server, а так при разворачивания веб-сервера с нуля. Данный обзор преследует цель избежать ошибок, как при обновлении, так и установки с нуля.

Установка Apache

Установка веб-сервера apache не изменилась, и выполняется так же:

sudo apt install apache2
Установка MySQL

Установка сервера баз данных тоже не сильно изменилась, и выглядит так:

sudo apt install mysql-server
Установка PHP

При установке php начинаются различия, причем замечу, что в дистрибутиве используется версия 7.х

sudo apt install php libapache2-mod-php php-mcrypt php-mysql
Думаю объяснять не стоит какие пакеты ставятся и для чего?

Установка phpMyAdmin

Еще больше вызвало вопросов установка или обновления пакета phpMyAdmin.

sudo apt install phpmyadmin php-mbstring php-gettext
Теперь вы можете понять какие пакеты нужны для корректной работы phpMyAdmin

пхп стоит

я ставил

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

на серваке не указан

application/x-httpd-php

 

 

как узнать?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

А модуль php не забыли включить? В папке /etc/apache2/mods-enabled/ должен быть файл php7.conf и php7.load

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Тогда проверьте в папке /etc/apache2/mods-available/ какие файлы есть с названием php, и сюда напишите какие

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
41 минуту назад, anu95 сказал:

php7.0.conf

php7.0.load

Хм, значит все в порядке. Пробуйте активировать модуль другими вариантами:

a2enmod php7 или

a2enmod php7_mod и так далее другие варианты, что-то должно сработать. И не забудьте перезагрузить апач. Все у вас получится.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите в него для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   0 пользователей

    Нет пользователей, просматривающих эту страницу